# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.parfor.opt.OptNode.ExecType

Packages that use OptNode.ExecType
Package
Description
org.apache.sysds.runtime.controlprogram.parfor.opt

## Uses of OptNode.ExecType in org.apache.sysds.runtime.controlprogram.parfor.opt

Methods in org.apache.sysds.runtime.controlprogram.parfor.opt that return OptNode.ExecType
Modifier and Type
Method
Description
`OptNode.ExecType`
OptNode.`getExecType()`
`static OptNode.ExecType`
OptNode.ExecType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OptNode.ExecType[]`
OptNode.ExecType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type OptNode.ExecType
Modifier and Type
Method
Description
`Collection<OptNode>`
OptNode.`getNodeList(OptNode.ExecType et)`
`void`
OptNode.`setExecType(OptNode.ExecType type)`
Constructors in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type OptNode.ExecType
Modifier
Constructor
Description
``
`OptNode(OptNode.NodeType ntype, OptNode.ExecType etype)`